Subject: bug#51146: 29.0.50; file-notify-add-watch not reporting changes of files

From: Carlos Pita <[email-masked]>
Date: Tue, 12 Oct 2021 11:52:20 -0300

That was about kqueue, but in macOS there is the FSEvents monitor:

   The FSEvents monitor, available only on Apple macOS, has no known
   limitations and scales very well with the number of files being
   observed. In fact, I observed no performance degradation when testing
   fswatch observing changes on a filesystem of 500 GB over long periods
   of time. This is the default monitor on Apple macOS.

So this seems to be an option, either directly or through fswatch.